Ticket #39591

マウスドラッグでの選択での遅延設定

Open Date: 2019-09-18 20:26 Last Update: 2019-12-09 10:06

Reporter:
Owner:
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

マウスボタンを押してから放すまでの時間がごく短い場合に、マウスポインタの位置が動いていてもドラッグとして扱わずにクリックとして扱う設定を検討する。

ウィンドウをアクティブにする為にクリックしたつもりが、マウスが動いてドラッグと判断されてクリップボードの内容が上書きされる問題が軽減する事を期待できる。

この問題への対処として SelectOnActivate 設定がすでに有るが、Tera Termと他のアプリケーションの間でコピー&ペーストを繰り返す時にクリックをする手間が増えてしまう。

この設定ならば遅延をうまく調整できれば使い勝手を変えずに誤ドラッグへの対処が出来る事が期待できる。遅延をどの程度にするかは実装して判断か。

また Select only by L button 設定も中/右ボタンでの誤ドラッグが元で入った設定だが、これへの効果も期待できる。


別案としてドラッグとして判断する最低移動距離を設定するという物がある。GetSystemMetrics() で得られる SM_CXDRAG/SM_CYDRAG の値を使うのが妥当か。

現状でも一文字分以上動かなければ選択とならないはずだが、ドラッグ開始位置が文字境界付近の場合にわずかな移動量でも選択となる場合がある。

Ticket History (3/5 Histories)

2019-09-18 20:26 Updated by: doda
  • New Ticket "マウスドラッグでの選択での遅延設定" created
2019-09-24 12:53 Updated by: doda
  • Owner Update from (None) to doda
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to Tera Term 4.105 (closed)
  • Type Update from Patches to Feature Requests
  • Details Updated
2019-11-26 20:52 Updated by: doda
  • Resolution Update from Accepted to Fixed
Comment

遅延に関しては r8400 で実装。

最低移動距離は別途検討する。

2019-12-08 09:01 Updated by: None
2019-12-09 10:06 Updated by: doda
  • Status Update from Open to Closed
  • Details Updated
Comment

マウスの最小移動量については #39833 にて扱う。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login